function updateSmallImage(itype)
%  This function takes in zoom/pan range and only display the relavant
%  section of the image or returns the original image with appropriate axes
%  ranges.
%  Used for Edit Classification so that when the user is zoomed in, only a
%  small portion of the image is analyzed rather than the entire image.
%
%  Input:
%       itype = 0 if the image window is set back to the original
%             = 1 if small range is to be selected

%  March 12, 2017.
%  Last Modified: March 12, 2017

global I_RGB ax HIMRGB

hax = ax;
him = HIMRGB;
% htmp = findall(findall(get(ax,'parent'),'type','uitoolbar'));
% hrm = findobj(htmp(2:end),'tag','RemRegion');
% hrl = findobj(htmp(2:end),'tag','Separate');
% 
% ctmp1 = get(hrm,'state');
% ctmp2 = get(hrl,'state');

%disp('in updateSmallImage.m');
%axesCorig = [xlim ylim]
axesCorig = getappdata(hax,'axesCorig');

if itype==0  % set back to original image reference
    him = image(I_RGB,'parent',hax);
    
    % restore the original limits in the appdata field
%     xlim = get(hax,'xlim'); ylim = get(hax,'ylim');
%     limits = [xlim ylim];
    %setappdata(hax,'zoom_zoomOrigAxesLimits',axesCorig);  
    
    % only show relevant part of the image
    set(hax,'xlim',axesCorig(1:2),'ylim',axesCorig(3:4));
else  % extract small image
    xlim = [floor(axesCorig(1))+1 ceil(axesCorig(2))-1];
    ylim = [floor(axesCorig(3))+1 ceil(axesCorig(4))-1];
    
    him = image(I_RGB(ylim(1):ylim(2),xlim(1):xlim(2),:),'parent',hax);
    %set(him,'cdata',I_RGB(ylim(1):ylim(2),xlim(1):xlim(2)));
end  % if itype==0

HIMRGB = him;

% set(hrm,'state',ctmp1);
% set(hrl,'state',ctmp2);

end
